Version 4.0.26.22 (latest)

Search for folders by creator id, parent id, name, etc

## Request

GET /folders/search Datatype Description Request HTTP Request query HTTP Query Expand HTTP Query definition... fields string Requested fields. page integer DEPRECATED. Use limit and offset instead. Return only page N of paginated results per_page integer DEPRECATED. Use limit and offset instead. Return N rows of data per page limit integer Number of results to return. (used with offset and takes priority over page and per_page) offset integer Number of results to skip before returning any. (used with limit and takes priority over page and per_page) sorts string Fields to sort by. name string Match Space title. id string Match Space id parent_id string Filter on a children of a particular folder. creator_id string Filter on folder created by a particular user. filter_or boolean Combine given search criteria in a boolean OR expression is_shared_root boolean Match is shared root is_users_root boolean Match is users root

## Response

### 200: folders

Datatype Description (array) [Folder](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Folder)\[\] name string Unique Name parent_id string Id of Parent. If the parent id is null, this is a root-level entry id string Unique Id content_metadata_id string Id of content metadata created_at string Time the space was created creator_id string User Id of Creator child_count integer Children Count external_id string Embedder's Id if this folder was autogenerated as an embedding shared folder via 'external_group_id' in an SSO embed login is_embed boolean Folder is an embed folder is_embed_shared_root boolean Folder is the root embed shared folder is_embed_users_root boolean Folder is the root embed users folder is_personal boolean Folder is a user's personal folder is_personal_descendant boolean Folder is descendant of a user's personal folder is_shared_root boolean Folder is the root shared folder is_users_root boolean Folder is the root user folder can object Operations the current user is able to perform on this object dashboards [DashboardBase](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DashboardBase)\[\] Expand DashboardBase definition... can object Operations the current user is able to perform on this object content_favorite_id string Content Favorite Id content_metadata_id string Id of content metadata description string Description hidden boolean Is Hidden id string Unique Id model [LookModel](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/LookModel) Model Expand LookModel definition... id string Model Id label string Model Label query_timezone string Timezone in which the Dashboard will run by default. readonly boolean Is Read-only refresh_interval string Refresh Interval, as a time duration phrase like "2 hours 30 minutes". A number with no time units will be interpreted as whole seconds. refresh_interval_to_i integer Refresh Interval in milliseconds folder [FolderBase](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/FolderBase) Folder Expand FolderBase definition... name string Unique Name parent_id string Id of Parent. If the parent id is null, this is a root-level entry id string Unique Id content_metadata_id string Id of content metadata created_at string Time the folder was created creator_id string User Id of Creator child_count integer Children Count external_id string Embedder's Id if this folder was autogenerated as an embedding shared folder via 'external_group_id' in an SSO embed login is_embed boolean Folder is an embed folder is_embed_shared_root boolean Folder is the root embed shared folder is_embed_users_root boolean Folder is the root embed users folder is_personal boolean Folder is a user's personal folder is_personal_descendant boolean Folder is descendant of a user's personal folder is_shared_root boolean Folder is the root shared folder is_users_root boolean Folder is the root user folder can object Operations the current user is able to perform on this object title string Dashboard Title user_id string Id of User slug string Content Metadata Slug preferred_viewer string The preferred route for viewing this dashboard (ie: dashboards or dashboards-next) certification_metadata [Certification](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Certification) Certification metadata Expand Certification definition... certification_status string Certification status: "certified" or "revoked" Valid values are: "certified", "revoked". ui_status string Indicates whether the underlying model is ungoverned user_name string Display name of user who certified the content, derived from user_id notes string Certification notes updated_at string Timestamp of certification looks [LookWithDashboards](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/LookWithDashboards)\[\] Expand LookWithDashboards definition... can object Operations the current user is able to perform on this object content_metadata_id string Id of content metadata id string Unique Id title string Look Title user_id string User Id certification_metadata [Certification](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Certification) Certification metadata Expand Certification definition... certification_status string Certification status: "certified" or "revoked" Valid values are: "certified", "revoked". ui_status string Indicates whether the underlying model is ungoverned user_name string Display name of user who certified the content, derived from user_id notes string Certification notes updated_at string Timestamp of certification content_favorite_id string Content Favorite Id created_at string Time that the Look was created. deleted boolean Whether or not a look is 'soft' deleted. deleted_at string Time that the Look was deleted. deleter_id string Id of User that deleted the look. description string Description embed_url string Embed Url excel_file_url string Excel File Url favorite_count integer Number of times favorited google_spreadsheet_formula string Google Spreadsheet Formula image_embed_url string Image Embed Url is_run_on_load boolean auto-run query when Look viewed last_accessed_at string Time that the Look was last accessed by any user last_updater_id string Id of User that last updated the look. last_viewed_at string Time last viewed in the Looker web UI model [LookModel](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/LookModel) Model Expand LookModel definition... id string Model Id label string Model Label public boolean Is Public public_slug string Public Slug public_url string Public Url query_id string Query Id short_url string Short Url folder [FolderBase](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/FolderBase) Folder of this Look Expand FolderBase definition... name string Unique Name parent_id string Id of Parent. If the parent id is null, this is a root-level entry id string Unique Id content_metadata_id string Id of content metadata created_at string Time the folder was created creator_id string User Id of Creator child_count integer Children Count external_id string Embedder's Id if this folder was autogenerated as an embedding shared folder via 'external_group_id' in an SSO embed login is_embed boolean Folder is an embed folder is_embed_shared_root boolean Folder is the root embed shared folder is_embed_users_root boolean Folder is the root embed users folder is_personal boolean Folder is a user's personal folder is_personal_descendant boolean Folder is descendant of a user's personal folder is_shared_root boolean Folder is the root shared folder is_users_root boolean Folder is the root user folder can object Operations the current user is able to perform on this object folder_id string Folder Id updated_at string Time that the Look was updated. user_name string Name of User that created the look. view_count integer Number of times viewed in the Looker web UI usage_count integer Number of queries executed on this look in the last N days is_owner_disabled boolean Is the owner disabled dashboards [DashboardBase](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DashboardBase)\[\] Expand DashboardBase definition... can object Operations the current user is able to perform on this object content_favorite_id string Content Favorite Id content_metadata_id string Id of content metadata description string Description hidden boolean Is Hidden id string Unique Id model [LookModel](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/LookModel) Model query_timezone string Timezone in which the Dashboard will run by default. readonly boolean Is Read-only refresh_interval string Refresh Interval, as a time duration phrase like "2 hours 30 minutes". A number with no time units will be interpreted as whole seconds. refresh_interval_to_i integer Refresh Interval in milliseconds folder [FolderBase](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/FolderBase) Folder title string Dashboard Title user_id string Id of User slug string Content Metadata Slug preferred_viewer string The preferred route for viewing this dashboard (ie: dashboards or dashboards-next) certification_metadata [Certification](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Certification) Certification metadata

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link